<include file="public@header" />
</head>
<body>
	<div class="wrap js-check-wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('PRODUCT_LIST')}</a></li>
			<li ><a href="{:url('Shopgoods/add')}">{:lang('ADD_PLATFORM_SELF_OPERATED_PRODUCT')}</a></li>

		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('Shopgoods/index')}">
		
			{:lang('RECOMMEND')}: 
			<select class="form-control" name="isrecom" >
				<option value="">{:lang('ALL')}</option>
					<option value="1" <if condition="input('request.isrecom') neq '' && input('request.isrecom') eq 1">selected</if>>{:lang('YES')}</option>
					<option value="0" <if condition="input('request.isrecom') neq '' && input('request.isrecom') eq 0">selected</if>>{:lang('NO')}</option>
			</select>

			{:lang('PRODUCT_TYPE')}: 
			<select class="form-control" name="goods_type" >
				<option value="">{:lang('ALL')}</option>
				<volist name="type" id="vo">
					<option value="{$key}" <if condition="input('request.goods_type') neq '' && input('request.goods_type') eq $key">selected</if>>{$vo}</option>
				</volist>
					
			</select>
			
			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" autocomplete="off" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" autocomplete="off" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('USER')}: 
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_THE_MEMBER_ID_OR_NICKNAME')}">
			{:lang('NAME')}: 
            <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
                   placeholder="{:lang('PLEASE_ENTER_PRODUCT_NAME')}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
			<a class="btn btn-danger" href="{:url('Shopgoods/index')}">{:lang('CLEAR')}</a>
		</form>				
		<form method="post" class="js-ajax-form" >
			<div class="table-actions">
                <!-- <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/del')}"
                        data-subcheck="true">批量删除
                </button> -->

                <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/setStatus',array('status'=>'-2'))}"
                        data-subcheck="true">{:lang('BULK_DELISTED')}
                </button>

                <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/setStatus',array('status'=>'1'))}"
                        data-subcheck="true">{:lang('BULK_RELISTED')}
                </button>

                <p class="help-block" style="font-weight: bold;">{:lang('BULK_OPERATIONS_PLEASE_BE_CAUTIOUS')}</p>
            </div>
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th width="16">
							
                            <label>
                                <input type="checkbox" class="js-check-all" data-direction="x" data-checklist="js-check-x">
                            </label>
                        	
                        </th>
						<th>ID</th>
						<th>{:lang('MEMBER')}</th>
						<th width="10%">{:lang('PRODUCT_NAME')}</th>
						<th width="10%">{:lang('PRODUCT_TYPE')}</th>
						<th>{:lang('FIRST_LEVEL_CATEGORY')}</th>
						<th>{:lang('SECOND_LEVEL_CATEGORY')}</th>
						<th>{:lang('THIRD_LEVEL_CATEGORY')}</th>
						<th>{:lang('EXTERNAL_LINK_PRODUCT_URL')}</th>
						<th>{:lang('EXTERNAL_LINK_PRODUCT_ORIGINAL_PRICE')}</th>
						<th>{:lang('EXTERNAL_LINK_PRODUCT_CURRENT_PRICE')}</th>
						<th>{:lang('COVER')}</th>
						<th>{:lang('POSTAGE')}</th>
						<th>{:lang('SHARING_PURCHASE_COMMISSION')}</th>
						<th>{:lang('SALES_VOLUME')}</th>
						<th>{:lang('STATUS')}</th>
						<th>{:lang('SUBMISSION_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td>
							<if condition="$vo['status'] eq '1' or $vo['status'] eq '-2'">
                            	<input type="checkbox" class="js-check" data-yid="js-check-y" data-xid="js-check-x" name="ids[]" value="{$vo.id}">
                            </if>
                        </td>
						<td>{$vo.id}</td>
						<td>
							<if condition="$vo['uid'] eq '1'">
								{:lang('PLATFORM_SELF_OPERATED')}
							<else />
								{$vo['userinfo']['user_nickname']} ({$vo.uid})
							</if>
						</td>
						<td>{$vo['name']}</td>
						<td>{$type[$vo['type']]}</td>
						<td>{$vo['oneclass_name']}</td>
						<td>{$vo['twoclass_name']}</td>
						<td>{$vo['threeclass_name']}</td>
						<td style="max-width: 200px;word-wrap:break-word;">{$vo['href']}</td>
						<td>{$vo['original_price']}</td>
						<td>{$vo['present_price']}</td>
						<td><img src="{$vo['thumb']}" class="imgtip" width="60"></td>
						<td>{$vo['postage']}</td>
						<td>{$vo['share_income']}</td>
						<td>{$vo['sale_nums']}</td>
                        			<td>{$status[$vo['status']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>
						<td>
							<if condition="$vo['status'] eq 0 && $vo['uid'] gt 1">
                            	<a class="btn btn-xs btn-primary" href='{:url("Shopgoods/edit",array("id"=>$vo["id"]))}'>{:lang('AUDIT')}</a>
                            <elseif condition="$vo['status'] eq -2">
                            	<a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Shopgoods/setstatus',array('id'=>$vo['id'],'status'=>'1'))}" >{:lang('CANCEL_OFFLINE')}</a>
                            <else />
                            	<if condition="$vo['type'] neq 2">
                            		<a class="btn btn-xs btn-primary" href='{:url("Shopgoods/edit",array("id"=>$vo["id"]))}'>{:lang('DETAILS')}</a>
                            	<else />
                            		<a class="btn btn-xs btn-primary" href='{:url("Shopgoods/platformedit",array("id"=>$vo["id"]))}'>{:lang('EDIT')}</a>
                            	</if>
                            	<if condition="$vo['status'] eq 1">
                            		<a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Shopgoods/setstatus',array('id'=>$vo['id'],'status'=>'-2'))}" >{:lang('TAKE_OFF_SHELF')}</a>
                            	</if>
                            </if>
                            <if condition="$vo['isrecom'] eq 1">
                            <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Shopgoods/setRecom',array('id'=>$vo['id'],'isrecom'=>'0'))}" >{:lang('CANCEL_RECOMMEND')}</a>
                            <else/>
                            <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Shopgoods/setRecom',array('id'=>$vo['id'],'isrecom'=>'1'))}" >{:lang('RECOMMEND')}</a>
                            </if>
                            <if condition="$vo['type'] eq '0' or $vo['type'] eq '2'">
                            	<a class="btn btn-xs btn-primary"  onclick="commentlist({$vo['id']})">{:lang('COMMENT_LIST')}</a>
                        	</if>

                            <if condition="$vo['uid'] neq '1' && $vo['status'] eq '1'">
                            	<!-- 展示 -->
                            	<if condition="$vo['live_isshow'] eq '1'">
                            	    <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Shopgoods/setLiveisShow',array('id'=>$vo['id'],'isshow'=>'0','uid'=>$vo['uid']))}" >取消直播间弹窗展示</a>
                            	</if>
                            	<!-- 不展示 -->
                            	<if condition="$vo['live_isshow'] eq '0'">
                            	    <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('Shopgoods/setLiveisShow',array('id'=>$vo['id'],'isshow'=>'1','uid'=>$vo['uid']))}" >设置直播间弹窗展示</a>
                            	</if>
                            </if>
                            <a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Shopgoods/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="table-actions">
                <!-- <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/del')}"
                        data-subcheck="true">批量删除
                </button> -->

                <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/setStatus',array('status'=>'-2'))}"
                        data-subcheck="true">{:lang('BULK_DELISTED')}
                </button>

                <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/setStatus',array('status'=>'1'))}"
                        data-subcheck="true">{:lang('BULK_RELISTED')}
                </button>

                <p class="help-block" style="font-weight: bold;">{:lang('BULK_OPERATIONS_PLEASE_BE_CAUTIOUS')}</p>
            </div>
			<div class="pagination">{$page}</div>
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
	<script type="text/javascript">
		$(function(){
			Wind.use('layer');
		});

		function commentlist(goodsid){
			layer.open({
			  type: 2,
			  title: '{:lang("PRODUCT_VIEW_LIST")}',
			  shadeClose: true,
			  shade: 0.8,
			  area: ['90%', '90%'],
			  content: '/admin/Shopgoods/commentlist?goods_id='+goodsid //iframe的url
			});
		}
	</script>
</body>
</html>